org.apache.hc.client5.http.impl.auth

## Class KerberosSchemeFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.KerberosSchemeFactory

- All Implemented Interfaces:
    AuthSchemeFactory

  Deprecated.
  Do not use. The GGS based experimental authentication schemes are no longer supported. Consider using Basic or Bearer authentication with TLS instead.

      @Deprecated
       @Contract(threading=STATELESS)
       @Experimental
      public class KerberosSchemeFactory
      extends Object
      implements AuthSchemeFactory

  `AuthSchemeFactory` implementation that creates and initializes `KerberosScheme` instances.

  Please note this class is considered experimental and may be discontinued or removed in the future.

  Since:
    4.2
  See Also:
    `BasicSchemeFactory`, `BearerSchemeFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KerberosSchemeFactory` | `DEFAULT` Deprecated. Singleton instance for the default configuration.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosSchemeFactory(KerberosConfig config, DnsResolver dnsResolver)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthScheme` | `create(org.apache.hc.core5.http.protocol.HttpContext context)` Deprecated. Creates an instance of `AuthScheme`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final KerberosSchemeFactory DEFAULT

      Deprecated.
      Singleton instance for the default configuration.

  - ### Constructor Detail

    - #### KerberosSchemeFactory

          public KerberosSchemeFactory(KerberosConfig config,
                                       DnsResolver dnsResolver)

      Deprecated.
      Since:
        5.0

  - ### Method Detail

    - #### create

          public AuthScheme create(org.apache.hc.core5.http.protocol.HttpContext context)

      Deprecated.
      Description copied from interface: `AuthSchemeFactory`
      Creates an instance of `AuthScheme`.
      Specified by:
        `create` in interface `AuthSchemeFactory`
      Returns:
        auth scheme.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.